
Redmine - Feature #2689

email address of the project

2009-02-06 12:08 - Tomonori Kimura

Status: Closed Start date: 2009-02-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I want to transmit the notice of addition and the change of the ticket to the e-mail address of the whole projects such as mailing lists.

model and view patch.

Index: app/models/mailer.rb

===================================================================

--- app/models/mailer.rb        (revision 2363)

+++ app/models/mailer.rb        (working copy)

@@ -29,6 +29,7 @@

     redmine_headers 'Issue-Assignee' => issue.assigned_to.login if issue.assigned_to

     recipients issue.recipients

     cc(issue.watcher_recipients - @recipients)

+    cc << issue.project.email if issue.project.email

     subject "[#{issue.project.name} - #{issue.tracker.name} ##{issue.id}] (#{issue.status.name}) 

#{issue.subject}" 

     body :issue => issue,

          :issue_url => url_for(:controller => 'issues', :action => 'show', :id => issue)

@@ -44,6 +45,7 @@

     recipients issue.recipients

     # Watchers in cc

     cc(issue.watcher_recipients - @recipients)

+    cc << issue.project.email if issue.project.email

     s = "[#{issue.project.name} - #{issue.tracker.name} ##{issue.id}] " 

     s << "(#{issue.status.name}) " if journal.new_value_for('status_id')

     s << issue.subject

Index: app/views/projects/_form.rhtml

===================================================================

--- app/views/projects/_form.rhtml      (revision 2363)

+++ app/views/projects/_form.rhtml      (working copy)

@@ -14,6 +14,7 @@

 <br /><em><%= l(:text_length_between, 2, 20) %> <%= l(:text_project_identifier_info) %></em>

 <% end %></p>

 <p><%= f.text_field :homepage, :size => 60 %></p>

+<p><%= f.text_field :email, :size => 60 %></p>

 <p><%= f.check_box :is_public %></p>

 <%= wikitoolbar_for 'project_description' %>

 migration file.

class AddEmailToProject < ActiveRecord::Migration

  def self.up

    add_column :projects, :email, :string

  end

  def self.down

    remove_column :projects, :email

  end

end
Related issues:

Related to Redmine - Patch #20732: MailHandler: Select project by subaddress ... Closed

History

#1 - 2009-02-06 12:29 - Tomonori Kimura

Tomonori Kimura wrote:

I want to transmit the notice of addition and the change of the ticket to the e-mail address of the whole projects such as mailing lists.

 "ticket" is wrong.  I wanted to convey "issue".

#2 - 2009-02-10 00:57 - Eric Davis

Could you add some tests to confirm the behavior?

#3 - 2012-07-31 10:57 - Rachid B

- Status changed from New to Resolved

I think this plugin provides that functionality:

https://github.com/ajwalters/redmine_project_specific_email_sender

#4 - 2020-02-29 13:49 - Go MAEDA

- Status changed from Resolved to Closed

Redmine 3.2.0 or later supports project-specific email addresses (redmine+project@example.com). See #20732 for details.

#5 - 2020-02-29 13:49 - Go MAEDA

- Related to Patch #20732: MailHandler: Select project by subaddress (redmine+project@example.com) added
